package com.ruoyi.gysl.mapper;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.docking.entity.SmartDeclaration;
import com.ruoyi.gysl.entity.response.YdxxtjResponse;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 政务统计数据库访问层
 *
 * @author makejava
 * @since 2025-03-22 11:11:55
 */
public interface ZwStatsMapper {
    /**
     * 项目情况
     */
    AllProjectResponse allProject(@Param("years") String years);

    /**
     * 功能区
     */
    List<RibbonResponse> ribbon(@Param("years") String years);

    /**
     * 投资主体
     */
    List<RibbonResponse> investors(@Param("years") String years);

    /**
     * 消息通知
     */
    List<SmartDeclaration> zwNotice(@Param("userId") Long userId);

    /**
     * 政务消息通知数量
     */
    int zwNoticeCount(@Param("userId") Long userId);

    /**
     * 产业导向细分产业分析
     */
    List<RibbonResponse> xfcyfx();

    /**
     * 产业导向目录分析
     */
    List<RibbonResponse> mlfx();

    /**
     * 产业导向细分产业分析总数
     */
    int allXfcyfx();

    /**
     * 产业导向目录分析总数
     */
    int allMlfx();

    /**
     * 储备项目统计分析
     */
    List<RibbonResponse> cbxmtj();



}

